<?xml version="1.0" encoding="UTF_8"?>
    <SensorStandardCap>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_JPEG_SIZES_AND_DURATION" type="int32_t">
            <value>4160</value>
            <value>3120</value>
            <value>40000000</value>
            <value>4160</value>
            <value>2368</value>
            <value>33331760</value>
            <value>3840</value>
            <value>2160</value>
            <value>33331760</value>
            <value>3264</value>
            <value>2448</value>
            <value>33331760</value>
            <value>3120</value>
            <value>3120</value>
            <value>33331760</value>
            <value>2592</value>
            <value>1944</value>
            <value>33331760</value>
            <value>2688</value>
            <value>1512</value>
            <value>33331760</value>
            <value>2304</value>
            <value>1728</value>
            <value>33331760</value>
            <value>2592</value>
            <value>1200</value>
            <value>33331760</value>
            <value>2560</value>
            <value>1920</value>
            <value>33331760</value>
            <value>2048</value>
            <value>1536</value>
            <value>33331760</value>
            <value>1920</value>
            <value>1920</value>
            <value>33331760</value>
            <value>1920</value>
            <value>1440</value>
            <value>33331760</value>
            <value>1920</value>
            <value>1080</value>
            <value>33331760</value>
            <value>1600</value>
            <value>1200</value>
            <value>33331760</value>
            <value>1440</value>
            <value>1080</value>
            <value>33331760</value>
            <value>1280</value>
            <value>960</value>
            <value>33331760</value>
            <value>1280</value>
            <value>768</value>
            <value>33331760</value>
            <value>1280</value>
            <value>720</value>
            <value>33331760</value>
            <value>1088</value>
            <value>1088</value>
            <value>33331760</value>
            <value>1024</value>
            <value>768</value>
            <value>33331760</value>
            <value>960</value>
            <value>720</value>
            <value>33331760</value>
            <value>1120</value>
            <value>480</value>
            <value>33331760</value>
            <value>864</value>
            <value>480</value>
            <value>33331760</value>
            <value>800</value>
            <value>600</value>
            <value>33331760</value>
            <value>800</value>
            <value>480</value>
            <value>33331760</value>
            <value>720</value>
            <value>720</value>
            <value>33331760</value>
            <value>640</value>
            <value>480</value>
            <value>33331760</value>
            <value>544</value>
            <value>480</value>
            <value>33331760</value>
            <value>640</value>
            <value>400</value>
            <value>33331760</value>
            <value>352</value>
            <value>288</value>
            <value>33331760</value>
            <value>320</value>
            <value>240</value>
            <value>33331760</value>
            <value>176</value>
            <value>144</value>
            <value>33331760</value>
         </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_JPEG_SIZES" type="no_need_duration">
            <value type="string2Enum">HAL_CUSTOM_SCALER_AVAILABLE_JPEG_SIZES_AND_DURATION</value>
        </tag>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_PROCESSED_SIZES_AND_DURATION" type="int32_t">
            <value>4160</value>
            <value>3120</value>
            <value>40000000</value>
            <value>4160</value>
            <value>2336</value>
            <value>33331760</value>
            <value>3840</value>
            <value>2160</value>
            <value>33331760</value>    
            <value>3264</value>
            <value>2176</value>
            <value>33331760</value>
            <value>3264</value>
            <value>2448</value>
            <value>33331760</value>
            <value>3200</value>
            <value>2400</value>
            <value>33331760</value>
            <value>3120</value>
            <value>3120</value>
            <value>33331760</value>
            <value>3072</value>
            <value>3072</value>
            <value>33331760</value>
            <value>2592</value>
            <value>1944</value>
            <value>33331760</value>
            <value>2688</value>
            <value>1512</value>
            <value>33331760</value>
            <value>2304</value>
            <value>1728</value>
            <value>33331760</value>
            <value>2592</value>
            <value>1200</value>
            <value>33331760</value>
            <value>2560</value>
            <value>1920</value>
            <value>33331760</value>
            <value>1184</value>
            <value>536</value>
            <value>33331760</value>
            <value>2688</value>
            <value>1216</value>
            <value>33331760</value>
            <value>2048</value>
            <value>1536</value>
            <value>33331760</value>
            <value>1952</value>
            <value>1952</value>
            <value>33331760</value>
            <value>1920</value>
            <value>1920</value>
            <value>33331760</value>
            <value>1920</value>
            <value>1440</value>
            <value>33331760</value>
            <value>1632</value>
            <value>1088</value>
            <value>33331760</value>
            <value>1920</value>
            <value>1080</value>
            <value>16666666</value>
            <value>1296</value>
            <value>1080</value>
            <value>33331760</value>
            <value>1600</value>
            <value>1200</value>
            <value>33331760</value>
            <value>1584</value>
            <value>720</value>
            <value>33331760</value>
            <value>1440</value>
            <value>1080</value>
            <value>33331760</value>
            <value>1280</value>
            <value>960</value>
            <value>33331760</value>
            <value>1280</value>
            <value>768</value>
            <value>33331760</value>
            <value>1280</value>
            <value>720</value>
            <value>33331760</value>
            <value>1088</value>
            <value>1088</value>
            <value>33331760</value>
            <value>1088</value>
            <value>1080</value>
            <value>33331760</value>
            <value>1024</value>
            <value>768</value>
            <value>33331760</value>
            <value>960</value>
            <value>720</value>
            <value>33331760</value>
            <value>864</value>
            <value>480</value>
            <value>33331760</value>
            <value>800</value>
            <value>600</value>
            <value>33331760</value>
            <value>800</value>
            <value>480</value>
            <value>33331760</value>
            <value>720</value>
            <value>720</value>
            <value>33331760</value>
            <value>720</value>
            <value>540</value>
            <value>33331760</value>
            <value>720</value>
            <value>480</value>
            <value>33331760</value>
            <value>640</value>
            <value>480</value>
            <value>33331760</value>
            <value>544</value>
            <value>480</value>
            <value>33331760</value>
            <value>1120</value>
            <value>480</value>
            <value>33331760</value>
            <value>640</value>
            <value>400</value>
            <value>33331760</value>
            <value>352</value>
            <value>288</value>
            <value>33331760</value>
            <value>320</value>
            <value>240</value>
            <value>33331760</value>
            <value>176</value>
            <value>144</value>
            <value>33331760</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_PROCESSED_SIZES" type="no_need_duration">
            <value type="string2Enum">HAL_CUSTOM_SCALER_AVAILABLE_PROCESSED_SIZES_AND_DURATION</value>
        </tag>
        <tag key="CAMERA_FLASH_INFO_AVAILABLE" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PRE_CORRECTION_ACTIVE_ARRAY_SIZE" type="int32_t">
            <value>0</value>
            <value>0</value>
            <value>4160</value>
            <value>3120</value>
        </tag>
        <tag key="CAMERA_CONTROL_AE_AVAILABLE_MODES" type="uint8_t">
            <value type="string2Enum">CAMERA_CONTROL_AE_MODE_OFF</value>
            <value type="string2Enum">CAMERA_CONTROL_AE_MODE_ON</value>
            <value type="string2Enum">CAMERA_CONTROL_AE_MODE_ON_AUTO_FLASH</value>
            <value type="string2Enum">CAMERA_CONTROL_AE_MODE_ON_ALWAYS_FLASH</value>
        </tag>
    </SensorStandardCap>
